<div class="bs-docs-section">
  <h1 id="accessibility" class="page-header">Acessibilidade</h1>
  <p class="lead">Bootstrap segue padrões web comuns e &mdash;com um pouco de esforço&mdash; pode ser criado sites acessíveis para aqueles que utilizam <abbr title="Tecnologia assistiva" class="initialism">TA</abbr>.</p>

  <h2>Pular navegação</h2>
  <p>Se seu menu de navegação contém muitos links e vem antes do conteúdo principal, adicione um link <code>Pular para conteúdo principal</code> antes do menu (para uma explicação simples, consulte este <a href="http://a11yproject.com/posts/skip-nav-links">Artigo Projeto A11y - Como usar link pular navegação (em inglês)</a>). Ao usar a classe <code>.sr-only</code> irá ocultar visualmente o link ancora, e a classe <code>.sr-only-focusable</code> irá garantir que o elemento só se tornará visível uma vez focada (para usuários com visão de teclado).</p>
  <div class="bs-callout bs-callout-danger" id="callout-skiplinks">
    <p>Devido a problemas de longa data / bugs no Chrome (veja a <a href="https://code.google.com/p/chromium/issues/detail?id=262171" title="Chromium bug tracker - Issue 262171: Focus should cycle from named anchor">issue 262171 in the Chromium bug tracker</a>) e Internet Explorer (veja o artigo <a href="http://accessibleculture.org/articles/2010/05/in-page-links/">in-page links and focus order</a>), Você vai precisar ter certeza de que o elemento de destino do seu link ancora é, esteja preparado para isso, para isso, basta adicionar o código <code>tabindex="-1"</code>.</p>
    <p>Além disso, você pode não querer criar uma indicação explicita de que o elemento destino esteja realmente em foco com <code>#content:focus { outline: none; }</code>.</p>
    <p>Note que este bug também afetará qualquer outro link ancora em seu site possa estar usando, tornando-os inúteis para usuários de teclado.</p>
  </div>
{% highlight html %}
<body>
  <a href="#content" class="sr-only sr-only-focusable">Pular para conteúdo principal</a>
  ...
  <div class="container" id="content" tabindex="-1">
    <!-- Conteúdo principal da página -->
  </div>
</body>
{% endhighlight %}

  <h2>Hierarquia de cabeçalhos</h2>
  <p>Quando criamos uma hierarquia de cabeçalho (<code>&lt;h1&gt;</code> - <code>&lt;h6&gt;</code>), em seu documento, o cabeçalho principal de ser <code>&lt;h1&gt;</code>. Em seguida cabeçalhos <code>&lt;h2&gt;</code> - <code>&lt;h6&gt;</code> devem vir de forma lógica, de tal modo que os leitores de telas consigam criar uma tabela de conteúdo para suas páginas.</p>
  <p>Leia mais sobre <a href="http://tableless.com.br/cabecalhos-nivel-1-e-sections/">Cabeçalhos nível 1, sections e acessibilidade</a> e <a href="http://tableless.com.br/entendendo-o-outline-html/">Entendendo o Outline do HTML</a>.</p>

  <h2>Contrastes de Cores</h2>
  <p>Atualmente, algumas cores padrão disponíveis no Bootstrap (tais como várias usadas em <a href="../css/#buttons">classes de botões</a>, parte da cor do código destacado em <a href="../css/#code-block">blocos de código básico</a>, a classe <code>.bg-primary</code> em <a href="../css/#helper-classes-backgrounds">background contextual</a> nas classes de ajuda, e a cor do link padrão quando usado em um fundo branco) têm uma relação de baixo contraste (abaixo da <a href="http://www.w3.org/TR/WCAG20/#visual-audio-contrast-contrast">proporção recomendada de 4.5:1</a>). Isso pode causar problemas para usuários com baixa visão ou que são daltônicos. Estas cores padrão podem precisar ser modificadas para aumentar seu contraste e legibilidade.</p>

  <h2>Recursos adicionais</h2>
  <ul>
    <li><a href="http://tableless.com.br/boas-praticas-de-acessibilidade/">Boas práticas de Acessibilidade</a></li>
    <li><a href="https://pt.wikipedia.org/wiki/Tecnologia_assistiva">Tecnologia assistiva – Wikipédia</a></li>
    <li><a href="https://pt.wikipedia.org/wiki/Acessibilidade_web">Acessibilidade web - Wikipédia</a></li>
    <li><a href="http://www.maujor.com/w3c/introwac.html">Introdução à Acessibilidade na Web</a></li>
    <li><a href="http://www.w3c.br/pub/Materiais/PublicacoesW3C/cartilha-w3cbr-acessibilidade-web-fasciculo-I.pdf">Cartilha Acessibilidade Na Web - W3c Brasil (pdf)</a></li>
    <li><a href="http://emag.governoeletronico.gov.br/cursodesenvolvedor/index.html">Curso eMAG / Desenvolvedor</a></li>
    <li><a href="http://bit.ly/1ehmmIj">e-MAG Checklist de Acessibilidade Manual para o Desenvolvedor</a></li>
    <li><a href="https://github.com/squizlabs/HTML_CodeSniffer">"HTML Codesniffer" bookmarklet for identifying accessibility issues</a></li>
    <li><a href="https://chrome.google.com/webstore/detail/accessibility-developer-t/fpkknkljclfencbdbgkenhalefipecmb?hl=en">Chrome's Accessibility Developer Tools extension</a></li>
    <li><a href="http://www.paciellogroup.com/resources/contrastanalyser/">Colour Contrast Analyser</a></li>
    <li><a href="http://a11yproject.com/">The A11Y Project</a></li>
    <li><a href="https://developer.mozilla.org/en-US/docs/Accessibility">MDN accessibility documentation</a></li>
  </ul>
</div>
